StarPageAttribute::SubDocument Class Referencefinal

Internal: the subdocument of a StarObjectSpreadsheet. More...

Inheritance diagram for StarPageAttribute::SubDocument:

## Public Member Functions

| SubDocument (std::shared_ptr< StarObjectSmallText > const &text)
| SubDocument (std::shared_ptr< StarFormatManagerInternal::FormatDef > const &format, StarItemPool const *pool, StarObject *object)
| ~SubDocument () final
| destructor
bool | operator!= (STOFFSubDocument const &doc) const final
| operator!=
void | parse (STOFFListenerPtr &listener, libstoff::SubDocumentType type) final
| the parser function
Public Member Functions inherited from STOFFSubDocument
| STOFFSubDocument (STOFFParser *pars, STOFFInputStreamPtr ip, STOFFEntry const &z)
| constructor from parser, input stream and zone in the input
| STOFFSubDocument (STOFFSubDocument const &doc)
| copy constructor
STOFFSubDocument & | operator= (STOFFSubDocument const &doc)
| copy operator
virtual | ~STOFFSubDocument ()
| virtual destructor
bool | operator== (STOFFSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator==

## Protected Attributes

std::shared_ptr< StarObjectSmallText > | m_smallText
| the note text
std::shared_ptr< StarFormatManagerInternal::FormatDef > | m_format
| the format
StarObject * | m_object
| the original object
StarItemPool const * | m_pool
| the pool
Protected Attributes inherited from STOFFSubDocument
STOFFParser * | m_parser
| the main zone parser
std::shared_ptr< STOFFInputStream > | m_input
| the input
STOFFEntry | m_zone
| if valid the zone to parse

## Private Member Functions

| SubDocument (SubDocument const &)=delete
SubDocument & | operator= (SubDocument const &)=delete

## Detailed Description

Internal: the subdocument of a StarObjectSpreadsheet.

## Constructor & Destructor Documentation

## SubDocument() [1/3]

StarPageAttribute::SubDocument::SubDocument | ( | std::shared_ptr< StarObjectSmallText > const & | text | ) |

inline explicit

Referenced by operator!=(), operator=(), and SubDocument().

## SubDocument() [2/3]

StarPageAttribute::SubDocument::SubDocument | ( | std::shared_ptr< StarFormatManagerInternal::FormatDef > const & | format,
|  | StarItemPool const * | pool,
|  | StarObject * | object )

inline

## ~SubDocument()

StarPageAttribute::SubDocument::~SubDocument | ( |  | ) |

inline final

destructor

## SubDocument() [3/3]

StarPageAttribute::SubDocument::SubDocument | ( | SubDocument const & |  | ) |

private delete

## Member Function Documentation

## operator!=()

bool StarPageAttribute::SubDocument::operator!= | ( | STOFFSubDocument const & | doc | ) | const

inline final virtual

operator!=

Reimplemented from STOFFSubDocument.

## operator=()

SubDocument & StarPageAttribute::SubDocument::operator= | ( | SubDocument const & |  | ) |

private delete

## parse()

void StarPageAttribute::SubDocument::parse | ( | STOFFListenerPtr & | listener,
|  | libstoff::SubDocumentType | type )

final virtual

the parser function

Implements STOFFSubDocument.

## Member Data Documentation

## m_format

std::shared_ptr<StarFormatManagerInternal::FormatDef> StarPageAttribute::SubDocument::m_format

protected

the format

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_object

StarObject* StarPageAttribute::SubDocument::m_object

protected

the original object

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_pool

StarItemPool const* StarPageAttribute::SubDocument::m_pool

protected

the pool

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## m_smallText

std::shared_ptr<StarObjectSmallText> StarPageAttribute::SubDocument::m_smallText

protected

the note text

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

The documentation for this class was generated from the following file:

- StarPageAttribute.cxx